New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Setup

Get setup options

GET
/api/v1/setup/options

Detect GPUs and return available backend installation options for the setup screen.

Response Body

Successful Response

application/json
  1. response
detected_gpus?array<string>

Names of detected GPU devices

options?array<>

Available backend installation options

best_gpu?|

Name of the recommended GPU

pending_backend?|

Backend pending installation from a previous attempt

[key: string]?any
Example Request
curl -X GET 'http://127.0.0.1:8100/api/v1/setup/options'
Example Response200
{  "detected_gpus": [    "string"  ],  "options": [    {      "id": "string",      "name": "string",      "gpu_name": "string",      "recommended": true,      "download_size": "string",      "description": "string"    }  ],  "best_gpu": "string",  "pending_backend": "string"}